Wind River Support Network

HomeDefectsLIN5-22589
Fixed

LIN5-22589 : Security Advisory - quagga - CVE-2016-1245

Created: Feb 27, 2017    Updated: May 29, 2018
Resolved Date: Apr 17, 2017
Found In Version: 5.0.1.38
Fix Version: 5.0.1.40
Severity: Standard
Applicable for: Wind River Linux 5
Component/s: Userspace

Description

It was discovered that the zebra daemon in Quagga before 1.0.20161017 suffered from a stack-based buffer overflow when processing IPv6 Neighbor Discovery messages. The root cause was relying on BUFSIZ to be compatible with a message size; however, BUFSIZ is system-dependent.

http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2016-1245

Other Downloads


Live chat
Online